Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadmin.editors
Class MiniBrowser

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Frame
                              |
                              +--javax.swing.JFrame
                                    |
                                    +--org.w3c.jigadmin.widgets.ClosableFrame
                                          |
                                          +--org.w3c.jigadmin.editors.MiniBrowser

public class MiniBrowser
extends ClosableFrame

A mini HTML browser.

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JFrame
`javax.swing.JFrame.AccessibleJFrame`

Field Summary
`protected java.net.URL` | `currentURL`
`protected javax.swing.JEditorPane` | `editor`
`protected org.w3c.jigadmin.editors.MiniBrowser.History` | `history`
`protected static java.lang.String` | `NEXT_AC`
`protected javax.swing.JButton` | `next_B`
`protected static java.lang.String` | `PREV_AC`
`protected javax.swing.JButton` | `prev_B`
`protected javax.swing.JLabel` | `statusBar`
`protected static java.lang.String` | `TEXT_AC`
`protected javax.swing.JTextField` | `urlField`

Fields inherited from class javax.swing.JFrame
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`MiniBrowser(java.lang.String title)` Constructor.
`MiniBrowser(java.lang.String url, java.lang.String title)` Constructor.

Method Summary
`protected void` | `build(java.lang.String url)`
`protected void` | `close()` The frame has been closed.
`static void` | `main(java.lang.String[] args)`
`void` | `setPage(java.lang.String url)` Set the current URL.
`void` | `setPage(java.net.URL url)` Set the current URL.
`static void` | `showDocumentationURL(java.lang.String url, java.lang.String title)` Show the current MiniBrowser for the given URL.

Methods inherited from class javax.swing.JFrame
`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isRootPaneCheckingEnabled, paramString, processKeyEvent, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Frame
`addNotify, finalize, getCursorType, getFrames, getIconImage, getMenuBar, getState, getTitle, isResizable, remove, removeNotify, setCursor, setIconImage, setMenuBar, setResizable, setState, setTitle`

Methods inherited from class java.awt.Window
`addWindowListener, applyResourceBundle, applyResourceBundle, dispose, getFocusOwner, getInputContext, getLocale, getOwnedWindows, getOwner, getToolkit, getWarningString, hide, isShowing, pack, postEvent, processEvent, removeWindowListener, setCursor, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setFont, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processInputMethodEvent, processMouseEvent, processMouseMotionEvent, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NEXT_AC

    protected static final java.lang.String NEXT_AC

### PREV_AC

    protected static final java.lang.String PREV_AC

### TEXT_AC

    protected static final java.lang.String TEXT_AC

### statusBar

    protected javax.swing.JLabel statusBar

### urlField

    protected javax.swing.JTextField urlField

### editor

    protected javax.swing.JEditorPane editor

### next_B

    protected javax.swing.JButton next_B

### prev_B

    protected javax.swing.JButton prev_B

### history

    protected org.w3c.jigadmin.editors.MiniBrowser.History history

### currentURL

    protected java.net.URL currentURL

Constructor Detail

### MiniBrowser

    public MiniBrowser(java.lang.String url,
                       java.lang.String title)
                throws java.net.MalformedURLException,
                       java.io.IOException

  Constructor.
  Parameters:
    `url` - The url to browse
    `title` - the frame Title
  Throws:
    java.net.MalformedURLException - if the URL is an invalid URL.
    java.io.IOException - if an IO error occurs.

### MiniBrowser

    public MiniBrowser(java.lang.String title)
                throws java.net.MalformedURLException,
                       java.io.IOException

  Constructor.
  Parameters:
    `title` - the frame Title
  Throws:
    java.net.MalformedURLException - if the URL is an invalid URL.
    java.io.IOException - if an IO error occurs.

Method Detail

### build

    protected void build(java.lang.String url)

### close

    protected void close()

  The frame has been closed.
  Overrides:
    close in class ClosableFrame

### setPage

    public void setPage(java.lang.String url)
                 throws java.net.MalformedURLException,
                        java.io.IOException

  Set the current URL.
  Parameters:
    `url` - the new current url.
  Throws:
    java.net.MalformedURLException - if the URL is an invalid URL.
    java.io.IOException - if an IO error occurs.

### setPage

    public void setPage(java.net.URL url)
                 throws java.io.IOException

  Set the current URL.
  Parameters:
    `url` - the new current url.
  Throws:
    java.io.IOException - if an IO error occurs.

### showDocumentationURL

    public static void showDocumentationURL(java.lang.String url,
                                            java.lang.String title)
                                     throws java.net.MalformedURLException,
                                            java.io.IOException

  Show the current MiniBrowser for the given URL.
  Parameters:
    `url` - the new current url.
    `title` - the frame title.
  Throws:
    java.net.MalformedURLException - if the URL is an invalid URL.
    java.io.IOException - if an IO error occurs.

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD